import com.j256.ormlite.dao.Dao;
import com.j256.ormlite.stmt.query.In;

import java.sql.SQLException;
import java.util.ArrayList;
import java.util.List;
import java.util.Scanner;

public class AccountService {

    Scanner scanner = new Scanner(System.in);
    Dao<Account, Integer> accountDao;

    public AccountService(Dao<Account, Integer> accountDao) {
        this.accountDao = accountDao;
    }

    public void crudOperations() throws SQLException {
        String option = scanner.nextLine();
        String input = scanner.nextLine();
       // while (option != "quit"){

            switch (option){
                case "read" : read();
                break;
                case "create": create(new Account(input));
                break;
                case "update": update(new Account(input));
                break;
                case "delete" : delete(Integer.parseInt(input));
                break;
                case "quit" : break;
            }
        }


 //  }

    public int create(Account account) throws SQLException {
        return accountDao.create(account);
    }

    public List<Account> read() throws SQLException {
        return accountDao.queryForAll();

    }

    public int update(Account account) throws SQLException {
        return accountDao.update(account);
    }

    public int delete(int id) throws SQLException {
        return accountDao.deleteById(id);
    }

}
